Distributed Control & Automation Framework (DCAF)

cancel
Showing results for 
Search instead for 
Did you mean: 

FPGA module installs broken??

Solved!
Go to solution

Hi all,

 

Running LabVIEW 2018 SP1 with Realtime and FPGA modules installed. I'm trying to use the DCAF FPGA module but it looks like the runtime class has broken VI, "resolve mapping.vi". It can't load a VI called "GetResources.vi". The

 

I also get this warning related to the Vision development support module. Not sure why vision module should be involved as I've never needed it for FPGA stuff before. Any ideas?

 

C:\Program Files (x86)\National Instruments\LabVIEW 2018\vi.lib\NI\DCAF\Modules\FPGA Module\fpga channel\config fpga resource.vi (FPGA Channel.lvclass:config fpga resource.vi)
NI Vision Development Module support for LabVIEW 2018 is missing and is referenced by the following VIs:
C:\Program Files (x86)\National Instruments\LabVIEW 2018\vi.lib\NI\DCAF\Modules\FPGA Module\fpga channel\Create FPGA Resource.vi (FPGA Channel.lvclass:Create FPGA Resource.vi)
NI Vision Development Module support for LabVIEW 2018 is missing and is referenced by the following VIs:
C:\Program Files (x86)\National Instruments\LabVIEW 2018\vi.lib\NI\DCAF\Modules\FPGA Module\module\execution\Resolve Mapping.vi (FPGA Module runtime.lvclass:Resolve Mapping.vi)
NI Vision Development Module support for LabVIEW 2018 is missing and is referenced by the following VIs:

0 Kudos
Message 1 of 3
(2,296 Views)
Solution
Accepted by topic author MarkCG

Hi Mark most likely you are missing the a library:

LabVIEW FPGA Advanced Session Resources for the corresponding LabVIEW version: https://forums.ni.com/t5/NI-Labs-Toolkits/LabVIEW-FPGA-Advanced-Session-Resources/ta-p/3500447

Best Regards

 

Benjamin C
Principal Systems Engineer // CLA // CLED
Message 2 of 3
(2,257 Views)

That did it, thank you! That package should be a dependency of the DCAF FPGA module then.

0 Kudos
Message 3 of 3
(2,242 Views)